query: Query data availability

API: earthscope.org:earthscopeiris-seismic-web-services
Endpoint: /availability/1/query
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 1372ms

Description

Returns time spans for which seismic data is available at specified stations. Use this to discover what data exists before making dataselect requests, avoiding requests for non-existent data.

From spec: Find what seismic data is available for given stations and time ranges. Returns time spans with data coverage information.

Usage Tips

- Supports the same station selection parameters as /station/query - Returns time ranges with data quality indicators - Use format=json or format=text - Much faster than querying dataselect for gaps - Check availability before bulk waveform requests

Parameters (15)

cha (string, query, optional)

Channel code(s). Accepts wildcards and comma-separated lists.

endtime (string, query, optional)

Limit to events/stations/data on or before the specified end time (ISO 8601 format)

format (string, query, optional, default: text)

Output format for availability data

Constraints: {'enum': ['text', 'geocsv', 'json', 'request']}

includerestricted (boolean, query, optional, default: True)

Include restricted stations in results

limit (integer, query, optional)

Limit the results to the specified number of events/stations (0 or negative for unlimited)

loc (string, query, optional)

Location code(s). Accepts wildcards and comma-separated lists. Use -- for blank locations.

merge (string, query, optional)

Merge data by samplerate, quality, or overlap

Constraints: {'enum': ['samplerate', 'quality', 'overlap']}

mergegaps (number, query, optional)

Merge time spans separated by less than this many seconds

net (string, query, optional)

Network code(s). Accepts wildcards (? and *) and comma-separated lists.

nodata (integer, query, optional, default: 204)

Specify which HTTP status code is returned when no data is found

Constraints: {'enum': [204, 404]}

orderby (string, query, optional, default: nslc_time_quality_samplerate)

Sort order for availability results

quality (string, query, optional)

Data quality indicator (D=default, M=manual, Q=questionable, R=raw)

Constraints: {'enum': ['D', 'M', 'Q', 'R']}

show (string, query, optional)

Set to 'latestupdate' to include repository load times

Constraints: {'enum': ['latestupdate']}

sta (string, query, optional)

Station code(s). Accepts wildcards and comma-separated lists.

starttime (string, query, optional)

Limit to events/stations/data on or after the specified start time (ISO 8601 format)

Examples (1)

Check data availability for GSN stations doc_extracted

Queries what time ranges have available waveform data for specified stations before making dataselect requests

curl 'https://service.earthscope.org/fdsnws/availability/1/query?net=IU&sta=ANMO&format=text'
import requests

resp = requests.get(
    "https://service.earthscope.org/fdsnws/availability/1/query",
    params={
        'net': 'IU',
        'sta': 'ANMO',
        'format': 'text',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("earthscope")
result = api.fetch("availability/1/query", net="IU", sta="ANMO", format="text")

for item in result:
    print(item)
const resp = await fetch("https://service.earthscope.org/fdsnws/availability/1/query?net=IU&sta=ANMO&format=text");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:46:39.577507 200 1372ms 2.0MB
2026-04-15 02:59:33.465891 200 1141ms 2.0MB
2026-04-14 02:05:26.719703 200 891ms 2.0MB
2026-04-12 14:38:17.506807 200 901ms 2.0MB